Не запускается gslapt

Russian forum

Moderator: posixru

Post Reply
research
Posts: 6
Joined: 5. Jun 2016, 17:49

Не запускается gslapt

Post by research » 29. Aug 2018, 19:03

Привет
Вот, не запускается gslapt. Не запускается также slapt-get. Gslapt запрашивает пароль, принимает его и тишина. Как решить описанную проблему? Поремонтировать установленный gslapt? Заменить его другой программой?
Возможно, с его неработоспособностью связано то, что не воспроизводятся аудио записи и видеозаписи с диска.

User avatar
posixru
Posts: 428
Joined: 27. Mar 2010, 14:54
Location: СССР
Contact:

Re: Не запускается gslapt

Post by posixru » 31. Aug 2018, 10:48

А чего в консоли выводит? Может скачать пакеты, если их в кеше нет и переустановить их installpkg, уж она то должна полюбому работать. Было у меня такое лет пять/семь назад, я тогда с репами Agilia экспериментировал.
research wrote:
29. Aug 2018, 19:03
Возможно, с его неработоспособностью связано то, что не воспроизводятся аудио записи и видеозаписи с диска.
Это то точно не причём, а исправить это можно с помощью salix-codecs-installer.
Кстати, а как Саликс ставился, в смысле в какой комплектации?
Image

research
Posts: 6
Joined: 5. Jun 2016, 17:49

Re: Не запускается gslapt

Post by research » 10. Sep 2018, 11:24

Доброго времени суток.
salix-codecs-installer установился. А музыка-видео не воспроизводятся. Инстоллер кодеков нужно запускать, чтобы он кодеки установил?
В консоли наблюдаю такое...
user[~]$ sudo slapt-get
slapt-get: /lib/libgpg-error.so.0: no version information available (required by /usr/lib/libgpgme.so.11)
slapt-get: relocation error: /usr/lib/libgpgme.so.11: symbol gpgrt_lock_lock, version GPG_ERROR_1.0 not defined in file libgpg-error.so.0 with link time reference
user[~]$ gslapt
gslapt: /lib/libgpg-error.so.0: no version information available (required by /usr/lib/libgpgme.so.11)
gslapt: relocation error: /usr/lib/libgpgme.so.11: symbol gpgrt_lock_lock, version GPG_ERROR_1.0 not defined in file libgpg-error.so.0 with link time reference
user[~]$ slapt-get
slapt-get: /lib/libgpg-error.so.0: no version information available (required by /usr/lib/libgpgme.so.11)
slapt-get: relocation error: /usr/lib/libgpgme.so.11: symbol gpgrt_lock_lock, version GPG_ERROR_1.0 not defined in file libgpg-error.so.0 with link time reference
user[~]$
Кеш - это какая папка и может ли быть отказано в ее просмотре?

User avatar
posixru
Posts: 428
Joined: 27. Mar 2010, 14:54
Location: СССР
Contact:

Re: Не запускается gslapt

Post by posixru » 15. Sep 2018, 10:00

research wrote:
10. Sep 2018, 11:24
Инстоллер кодеков нужно запускать, чтобы он кодеки установил?
Ну да, он для этого и сделан, а то правамивладельцы начнут визжать если их сразу установленными поставлять, ведь в некоторых странах это уголовно наказуемо )))
Он пару вопросов задаст и автоматом всё "запретное" поставит...
Для информации: - Изначально он назывался «Install multimedia codecs» и имелся с первой версии Salix, подробнее можно почитать в теме The Bonsai OS от 25 марта 2010 года.
research wrote:
10. Sep 2018, 11:24
Кеш - это какая папка и может ли быть отказано в ее просмотре?
Для просмотра она доступна (/var/slapt-get), только удалять из него нужны права администратора, хотя зачем удалять? У меня там двухлетний кеш лежит, места на диске навалом, а пакетов за два года чуть больше 2Гб набралось. Подробнее про Slapt-Get и Gslapt
research wrote:
10. Sep 2018, 11:24
В консоли наблюдаю такое...
Так, давайте для начала сделаем:

Code: Select all

sudo slapt-get --add-keys
Image

Потом выполнить это:

Code: Select all

sudo slapt-get -i gslapt gpgme libgpg-error
Или вот это:

Code: Select all

sudo slapt-get -i --reinstall gslapt gpgme libgpg-error
Всё должно заработать...

Image

Подробнее про slapt-get можно посмотреть выполнив:

Code: Select all

slapt-get --help
Image

С версии Salix 14.2 для поиска и установки пакетов, а также обновления системы авторами проекта рекомендуется использовать spi (оболочка для slapt-get и slapt-src). Ещё есть Slpkg (пару лет назад его пробовал), но я слишком давно использую Slackware и мне очень трудно менять годами приобретённые привычки и я slapt-get использую.
Image

research
Posts: 6
Joined: 5. Jun 2016, 17:49

Re: Не запускается gslapt

Post by research » 16. Sep 2018, 16:47

На sudo slapt-get --add-keys
система ответила
user[~]$ sudo slapt-get --add-keys
Password:
slapt-get: /lib/libgpg-error.so.0: no version information available (required by /usr/lib/libgpgme.so.11)
slapt-get: relocation error: /usr/lib/libgpgme.so.11: symbol gpgrt_lock_lock, version GPG_ERROR_1.0 not defined in file libgpg-error.so.0 with link time reference
user
Я глянул в кэш, файлы /usr/lib/libgpgme.so.11 и libgpg-error.so.0 там присутствуют.
В общем, исполнить вашу рекомендацию не удалось. Подобным собщением система отвечает на попытку запустить slapt-get с любым ключом. А установщик кодеков вызывает все тот же slapt-get с уже известным результатом.

User avatar
posixru
Posts: 428
Joined: 27. Mar 2010, 14:54
Location: СССР
Contact:

Re: Не запускается gslapt

Post by posixru » 17. Sep 2018, 20:32

research wrote:
16. Sep 2018, 16:47
Я глянул в кэш, файлы /usr/lib/libgpgme.so.11 и libgpg-error.so.0 там присутствуют.
В общем, исполнить вашу рекомендацию не удалось.
А gslapt какой версии? Если 0.5.4c то попробуйте его переустановить, или 0.5.3 поставить.
Кстати, а можете рассказать как ставили и что потом делали? Ну не про всё подряд естественно, а про системное, в смысле то что права администратора просило. Ну там репы левые цепляли, пакеты там сторонние, скрипты запускали и.т.д...
Image

Post Reply